﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace SilverlightApplication5
{
  public partial class Page : UserControl
  {
    public Page()
    {
      InitializeComponent();
      this.Loaded += OnLoaded;
    }

    void OnLoaded(object sender, RoutedEventArgs e)
    {
      HtmlElement myDiv = HtmlPage.Document.GetElementById("myDiv");

      myDiv.Add(
        new HElement("table",
          new HElement("tbody",
            from p in Person.GetDummyData()
            select new HElement("tr",
              new HElement("td", new HAttribute("innerText", p.FirstName)),
              new HElement("td", new HAttribute("innerText", p.LastName)),
              new HElement("td",
                new HElement("input",
                  new HAttribute("type", "button"),
                  new HAttribute("value", "select"),
                  new HHandler("onclick", (s, a) =>
                    {
                      txtPerson.Text = string.Format("{0} {1}",
                        p.FirstName, p.LastName);
                    })))))));
    }
  }
}
